> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get unspent transaction outputs containing a specific Dogecoin Dune token for a particular address.

# Dune UTxOs by Address and Dune



## OpenAPI

````yaml dogecoin/blockchain-indexer-api/openapi.json get /addresses/{address}/dunes/{dune}
openapi: 3.0.3
info:
  title: Dogecoin - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Dogecoin metaprotocols.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v0.1.1
servers:
  - url: https://xdg-mainnet.gomaestro-api.org/v0
    description: Dogecoin Mainnet
  - url: https://xdg-testnet.gomaestro-api.org/v0
    description: Dogecoin Testnet
security:
  - api-key: []
paths:
  /addresses/{address}/dunes/{dune}:
    get:
      tags:
        - Addresses
      summary: Dune UTxOs by Address and Dune
      description: >-
        Return all UTxOs controlled by the specified address or script pubkey
        which

        contain some of a specific kind of dune.
      operationId: dune_utxos_by_address
      parameters:
        - name: address
          in: path
          description: Dogecoin address or hex encoded script pubkey
          required: true
          schema:
            type: string
          example: DNG3G7pKc1DgciyWs36GFUnVyvJieDhKdb
        - name: dune
          in: path
          description: >-
            Dune, specified either by the Dune ID (etching block number and
            transaction index) or name (spaced or un-spaced)
          required: true
          schema:
            type: string
          example: '2519999:31'
        - name: count
          in: query
          description: The max number of results per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: order
          in: query
          description: >-
            The order in which the results are sorted (by height at which UTxO
            was produced)
          required: false
          schema:
            allOf:
              - type: string
                default: asc
                enum:
                  - asc
                  - desc
            nullable: true
        - name: from
          in: query
          description: Return only UTxOs created on or after a specific height
          required: false
          schema:
            type: integer
            format: int64
            nullable: true
            minimum: 0
        - name: to
          in: query
          description: Return only UTxOs created on or before a specific height
          required: false
          schema:
            type: integer
            format: int64
            nullable: true
            minimum: 0
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: Requested data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedAddressDuneUtxo'
              example:
                data:
                  - confirmations: 3597
                    dune_amount: '0.00001000'
                    height: 5280972
                    satoshis: '100000'
                    txid: >-
                      cd990aa533ffb733934344fafbc07350ba5945a5a50fca3adb9845573a99e545
                    vout: 1
                last_updated:
                  block_hash: >-
                    e45be2dac59c8b6a2090a6cee4c5c035c6d285b9ca4690fe7d454d9d6ad67a42
                  block_height: 5284569
                next_cursor: null
        '400':
          description: Malformed query parameters
        '404':
          description: Requested entity not found on-chain
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedAddressDuneUtxo:
      type: object
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/AddressDuneUtxo'
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
        next_cursor:
          type: string
          nullable: true
    AddressDuneUtxo:
      type: object
      required:
        - txid
        - vout
        - satoshis
        - confirmations
        - height
        - dune_amount
      properties:
        confirmations:
          type: integer
          format: int64
          minimum: 0
        dune_amount:
          type: string
        height:
          type: integer
          format: int64
          minimum: 0
        satoshis:
          type: string
        txid:
          type: string
        vout:
          type: integer
          format: int32
          minimum: 0
    LastUpdated:
      type: object
      required:
        - block_hash
        - block_height
      properties:
        block_hash:
          type: string
        block_height:
          type: integer
          format: int64
          minimum: 0
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````